=== debian/tests/control ===
Tests: btf-struct-with-hole, dwarf-struct-with-hole
Depends: @, gcc, clang, file, libdw-dev, binutils-multiarch
