=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:0.4~) [linux-any], linux-libc-dev (>= 5.14) [linux-any]
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:0.7~) [linux-any], linux-libc-dev (>= 5.17~) [linux-any]
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: utils
@@ -14,6 +14,7 @@
 Architecture: any
 Multi-Arch: foreign
 Replaces: dwarves (<< 1.22)
+Breaks: dwarves (<< 1.22)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: set of advanced DWARF utilities
  This package contains tools that use the DWARF debugging information
