## dwarves 1.24

=== debian/changelog ===
dwarves (1.24-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * dwarves: Zero-initialize struct cu in cu__new() to prevent incorrect BTF
    types.
    Fixes BTF deduplication issues causing arm64 kernel size increase.
    Thanks to Aurelien Jarno (Closes: #1033301)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 May 2023 20:37:16 +0200

dwarves (1.24-4) unstable; urgency=medium

  * Backport upstream patches to support newer toolchains.
    Closes: #1021562.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 10 Dec 2022 10:11:28 +0100

dwarves (1.24-3) unstable; urgency=medium

  * Fix libbpf build-depends-on-1-revision lintian warning.
  * Fix smoketest configuration and dependencies.
  * Fix `upstream-tag` for gbp push.
  * Update standards version to 4.6.1, no changes needed.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 08 Nov 2022 09:39:58 +0100

dwarves (1.24-2) unstable; urgency=medium

  * Upload to unstable.
  * Add libbpf-dev to the autopkgtest dependencies.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 07 Nov 2022 07:48:23 +0100

dwarves (1.24-1) experimental; urgency=medium

  * New upstream release. Closes: 1018906.
    Changes since 1.23:

    BTF encoder:

    - Add support to BTF_KIND_ENUM64 to represent enumeration entries
      with more than 32 bits.

    - Support multithreaded encoding, in addition to DWARF
      multithreaded loading, speeding up the process.

      Selected just like DWARF multithreaded loading, using the
      'pahole -j' option.

    - Encode 'char' type as signed.

    BTF Loader:

    - Add support to BTF_KIND_ENUM64.

    pahole:

    - Introduce --lang and --lang_exclude to specify the language the
      DWARF compile units were originated from to use or filter.

      Use case is to exclude Rust compile units while aspects of the
      DWARF generated for it get sorted out in a way that the kernel
      BPF verifier don't refuse loading the BTF generated from them.

    - Introduce --compile to generate compilable code in a similar
      fashion to

       bpftool btf dump file vmlinux format c > vmlinux.h

      As with 'bpftool', this will notice type shadowing, i.e. multiple
      types with the same name and will disambiguate by adding a suffix.

    - Don't segfault when processing bogus files.

  * Update libbpf-dev and linux-libc-dev build depends.
  * Drop add_cmake_libbpf_enabled_option.patch, not developing it as
    needed for #744847.
  * Run some smoke tests on all the delivered binaries.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 22 Oct 2022 14:31:35 +0200
