=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:0.7~) [linux-any], linux-libc-dev (>= 5.17~) [linux-any]
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:1.0.1) [linux-any], linux-libc-dev (>= 6.0~) [linux-any]
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: utils
 Vcs-Browser: https://salsa.debian.org/debian/dwarves
