## dwarves 1.25

=== debian/changelog ===
dwarves (1.25-0ubuntu1~22.04.2) jammy; urgency=medium

  * Backport 1.25 dwarves to stable series (LP: #2025988)
    - Use statically linked vendored libbpf
    - Relax autopkgtest libbpf-dev depends

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 05 Jul 2023 09:46:31 +0100

dwarves (1.25-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches, included in the new upstream release.
  * Remaining changes:
    - Use vendored, uptodate/compatible uapi headers even when building
    with system libbpf.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 25 Apr 2023 14:34:05 +0100

dwarves (1.24-4ubuntu1) lunar; urgency=medium

  * Use vendored, uptodate/compatible uapi headers even when building with
    system libbpf. This allows compiling up to date dwarves without first
    upgrading/migrating new major kernel. Note these are already used when
    doing hwe backports to LTS releases, as vendored libbpf is used as a
    whole together with the vendored uapi headers.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 13 Dec 2022 12:35:22 +0000
