=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dwarves
 Priority: optional
-Maintainer: Thomas Girard <thomas.g.girard@free.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:1.0.1) [linux-any], linux-libc-dev (>= 6.0~) [linux-any]
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), linux-libc-dev [linux-any]
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: utils
