=== debian/tests/control ===
Tests: btf-struct-with-hole, dwarf-struct-with-hole
Depends: @, gcc, clang, file, binutils-multiarch, libdw-dev, libbpf-dev

Tests: smoketest
Depends: pahole-dbgsym
Restrictions: skip-not-installable, superficial, allow-stderr
