=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dwarves
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Girard <thomas.g.girard@free.fr>
-Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkg-config, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), linux-libc-dev [linux-any]
-Standards-Version: 4.6.1
+XSBC-Original-Maintainer: Domenico Andreoli <cavok@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.8), pkgconf, zlib1g-dev, libelf-dev, libdw-dev (>= 0.141), libbpf-dev (>= 1:1.0.1) [linux-any], linux-libc-dev [linux-any]
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: utils
 Vcs-Browser: https://salsa.debian.org/debian/dwarves
