=== debian/changelog ===
dwarves (1.28-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use vendored, uptodate/compatible uapi headers even when building
      with system libbpf.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Dec 2024 22:20:20 +0000

dwarves (1.28-1) unstable; urgency=medium

  * New upstream release.
  * Drop because merged upstream:
    - 00-core-Initialize-cu_node-with-INIT_LIST_HEAD.patch
    - 01-dwarf_loader-Add-missing-cus__add-to-cus__merge_and_process_cu.patch
  * Add 01-fix-pahole-spelling-error.patch.
  * Clean some files; their permissions are not aligned with git:
    - tests/btf_functions.sh
    - tests/default_vmlinux_btf.sh
    - tests/flexible_arrays.sh
    - tests/prettify_perf.data.sh
    - tests/reproducible_build.sh
    - tests/tests
  * Clean config.h before the build. Closes: #1044846.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 10 Dec 2024 10:36:47 +0100
