## dwarves 1.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,9 +45,9 @@
 endif (NOT DEFINED BUILD_SHARED_LIBS)
 
 # Just for grepping, DWARVES_VERSION isn't used anywhere anymore
-# add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.28")
+# add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.29")
 add_definitions(-D_GNU_SOURCE -DDWARVES_MAJOR_VERSION=1)
-add_definitions(-D_GNU_SOURCE -DDWARVES_MINOR_VERSION=28)
+add_definitions(-D_GNU_SOURCE -DDWARVES_MINOR_VERSION=29)
 find_package(DWARF REQUIRED)
 find_package(ZLIB REQUIRED)
 find_package(argp REQUIRED)
