=== debian/changelog ===
dwarves (1.29-3) unstable; urgency=medium

  * Add 03-dwarf_loader-fix-termination-on-BTF-encoding-error.patch.
    Closes: #1100503, #1101262.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 28 Mar 2025 09:39:34 +0100

dwarves (1.29-2) unstable; urgency=medium

  * Build only on Linux, other OSes require major changes.
    Closes: #744847.
  * Forwarded patches upstream.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 01 Feb 2025 14:50:53 +0100

dwarves (1.29-1) unstable; urgency=medium

  * New upstream release.
  * Drop 00-fix-btf_loader-spelling-error.patch, not needed any more.
  * Clean some files; their permissions are not aligned with git:
    - tests/pfunct-btf-decl-tags.sh

 -- Domenico Andreoli <cavok@debian.org>  Tue, 21 Jan 2025 15:47:07 +0100
